<!doctype html>
<html lang="{{ app()->getLocale() }}">
  <head>
    <title>
      @hasSection('title')
        @yield('title') - {{ config('app.name') }}
      @else
        {{ config('app.name') }}
      @endif
    </title>
    <base href="{{ config('app.url') }}">

    <link rel="apple-touch-icon" sizes="180x180" href="{{ asset('/favicon/apple-touch-icon.png') }}">
    <link rel="icon" type="image/png" sizes="32x32" href="{{ asset('/favicon/favicon-32x32.png') }}">
    <link rel="icon" type="image/png" sizes="16x16" href="{{ asset('/favicon/favicon-16x16.png') }}">
    <link rel="manifest" href="{{ asset('/favicon/site.webmanifest') }}">

    <meta name="viewport" content="width=device-width, initial-scale=1.0, maximum-scale=1.0" />
    <meta content="{{ csrf_token() }}" name="csrf-token">
    <script src="{{ asset('/js/app.js') }}" defer></script>

    @yield('head')
  </head>
  <body>
    @routes
    @inertia
    @stack('js')
  <div id="modal-portal"></div>
  </body>
</html>
