<?php

namespace EventPortal\Domain\Agenda\DataObject;

use EventPortal\Domain\Agenda\Models\Agenda as AgendaModel;
use EventPortal\Domain\Agenda\Models\Session;
use EventPortal\Domain\Event\Models\Event;
use EventPortal\Domain\Form\Facades\Form;

class Agenda
{
    /** @var int */
    public $id;

    /** @var string */
    public $day;

    /** @var array */
    public $pathways;

    /** @var array<\EventPortal\Domain\Form\Form> */
    public $forms;

    public function __construct(AgendaModel $agendaModel)
    {
        $this->id = $agendaModel->id;
        $this->day = $agendaModel->date;
        $this->pathways = $agendaModel->pathways->mapInto(Pathway::class)->toArray();
        $this->forms = $this->getForms($agendaModel->event);
    }

    private function getForms(Event $event): array
    {
        $form = Form::make('session.create')
            ->model(new Session)
            ->context($event)
            ->useAlternativeNames()
            ->render();

        return [
            'createSession' => $form,
            'editSession' => $form,
        ];
    }
}
