<?php

namespace EventPortal\Domain\Agenda\Models;

use Illuminate\Database\Eloquent\Model;
use Illuminate\Database\Eloquent\Relations\HasMany;
use Illuminate\Database\Eloquent\Relations\MorphTo;

class Pathway extends Model
{
    const KEY = 'pathway';

    /** @var array */
    protected $guarded = [];

    /**
     * @param mixed $model
     */
    public static function generate($model, string $name, string $description): Pathway
    {
        return Pathway::create([
            'pathwayable_id' => $model->id,
            'pathwayable_type' => get_class($model),
            'name' => $name,
            'description' => $description,
        ]);
    }

    public function sessions(): HasMany
    {
        return $this->hasMany(Session::class);
    }

    public function pathwayable(): MorphTo
    {
        return $this->morphTo();
    }
}
