<?php

namespace EventPortal\Tests\Unit\EventDelegate\Actions;

use EventPortal\Domain\Event\Models\EventDelegate;
use EventPortal\Domain\EventDelegate\Actions\TransitionDelegateOnEvent;
use EventPortal\Tests\TestCase;
use Illuminate\Foundation\Testing\RefreshDatabase;
use SM\SMException;

class TransitionDelegateOnEventTest extends TestCase
{
    use RefreshDatabase;

    /** @test **/
    public function can_transition()
    {
        $eventDelegate = factory(EventDelegate::class)->state('candidate')->create();

        (new TransitionDelegateOnEvent)->execute($eventDelegate->event, $eventDelegate->delegate, 'invite');

        $this->assertEquals('invited', EventDelegate::first()->status);
    }

    /** @test **/
    public function cannot_transition_to_state_that_is_not_allowed()
    {
        $this->expectException(SMException::class);

        $eventDelegate = factory(EventDelegate::class)->state('candidate')->create();

        (new TransitionDelegateOnEvent)->execute($eventDelegate->event, $eventDelegate->delegate, 'other');
    }
}
